
%global meadversion 2.0.1
%global namedversion 2.0.1.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package wildfly-naming-client}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.0.1.Final-redhat-00001

Name:           %{?scl_prefix}wildfly-naming-client
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        wildfly-naming-client
Group:          Development/Java

%if %with mead
Source100: wildfly-naming-client-2.0.1.Final-redhat-00001-project-sources.tar.gz
Source102: wildfly-naming-client-2.0.1.Final-redhat-00001-sources.jar
Source103: wildfly-naming-client-2.0.1.Final-redhat-00001.jar
Source104: wildfly-naming-client-2.0.1.Final-redhat-00001.pom
%endif

License:        ASL 2.0
URL:            https://github.com/wildfly/wildfly-naming-client
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for wildfly-naming-client
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n wildfly-naming-client-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/wildfly-naming-client-%{namedversion}.jar %{buildroot}%{_javadir}/wildfly-naming-client-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/wildfly-naming-client-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/wildfly-naming-client-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/wildfly-naming-client-%{namedversion}-sources.jar %{buildroot}%{_javadir}/wildfly-naming-client-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/wildfly-naming-client-%{namedversion}
unzip -qq %{_sourcedir}/wildfly-naming-client-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/wildfly-naming-client-%{namedversion} -x META-INF/\*
%{__ln_s} wildfly-naming-client-%{namedversion} %{buildroot}%{_javadocdir}/wildfly-naming-client
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}wildfly-naming-client
%defattr(0644,root,root,0755)
%doc README.md
%{_javadir}/wildfly-naming-client-%{namedversion}.jar
%{_javadir}/wildfly-naming-client.jar
%if %with javadoc
%{_javadir}/wildfly-naming-client-%{namedversion}-javadoc.jar
%{_javadir}/wildfly-naming-client-javadoc.jar
%endif
%{_javadir}/wildfly-naming-client-%{namedversion}-sources.jar
%{_javadir}/wildfly-naming-client-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/wildfly-naming-client-%{namedversion}
%{_javadocdir}/wildfly-naming-client
%endif

%changelog
* Wed Jun 14 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.0.1-1.Final_redhat_00001.1
- Built by CPaaS

* Tue Dec 20 2022 cpaas-ops <cpaas-ops@redhat.com> - 2.0.0-3.Final_redhat_00001.1
- Built by CPaaS

* Wed Dec 14 2022 cpaas-ops <cpaas-ops@redhat.com> - 2.0.0-2.Final_redhat_00001.1
- Built by CPaaS

* Tue Oct 11 2022 cpaas-ops <cpaas-ops@redhat.com> - 2.0.0-1.Final_redhat_00001.1
- Built by CPaaS

